﻿$ErrorActionPreference = 'Stop'

$version = '59.0.3038.0'

$chromium_string = "\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Chromium"
$hive = "hkcu"
$Chromium = $hive + ":" + $chromium_string

if (Test-Path $Chromium) {
  $silentArgs = '--do-not-launch-chrome'
} else {
  $silentArgs = '--system-level --do-not-launch-chrome'
}

$packageArgs = @{
  packageName   = 'chromium'
  fileType      = 'exe'
  url           = 'https://storage.googleapis.com/chromium-browser-snapshots/Win/455995/mini_installer.exe'
  url64bit      = 'https://storage.googleapis.com/chromium-browser-snapshots/Win_x64/455986/mini_installer.exe'
  silentArgs    = $silentArgs
  validExitCodes= @(0)
  softwareName  = 'Chromium'
  checksum      = 'adf4709bb79341b04e313f8c6dad3c56'
  checksumType  = 'md5'
  checksum64    = 'f5efd3afb7ebfff27fcc6e6f0ffb6574'
  checksumType64= 'md5'
}

Install-ChocolateyPackage @packageArgs
